@charset "utf-8";


/* main */

main {
  padding-top: 89px;
}

/* banner */

.banner {
  position: relative;
  width: 100%;
  height: 700px;
  overflow: hidden;
}

.banner-bg {
  position: absolute;
  inset: 0;
  background: url('../../images/index/banner.png') center/cover no-repeat;
  transition: opacity 0.5s ease;
  z-index: 0;
}


.banner::after {
  content: "";
  position: absolute;
  inset: 0;
/*   background: rgba(0, 0, 0, 0.3); */
  z-index: 0;
  pointer-events: none;
}

/* 텍스트 영역 */

.banner-content {
  position: absolute;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  z-index: 2;
}

/* 타이틀 */

.banner .title {
  font: normal 80px "Shilla";
  margin-bottom: 20px;
  color: #fff;
  text-shadow: 4px 5px 4px rgba(0, 0, 0, 0.5);
}

/* 버튼 */

.banner .btn {
  display: inline-block;
  padding: 20px 50px;
  background: #2f5d3a;
  color: #fff;
  border-radius: 30px;
  font-size: 26px;
  transition: 0.3s;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);

}

.banner .btn:hover {
  background: #3c6b48;
  transform: translateY(-3px);
  box-shadow: 0 8px 18px rgba(0, 0, 0, 0.4);
}

.banner .btn:active {
  transform: translateY(0);
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.3);
}


/* 설명 텍스트 */

.banner .txt{
  position: absolute;
  bottom: 10px;
  background-color: rgba(250, 250, 250, 0.8);
  text-align: center;
  width: 100%;
  padding: 3px 0;
  font: 20px "Noto Sans", sans-serif;
}



/* 배너 애니메이션 */

@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(30px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}


.banner .title {
  animation: fadeUp 0.8s ease forwards;
  animation-delay: 0.3s;
  opacity: 0;
}

.banner .btn {
  animation: fadeUp 0.8s ease forwards;
  animation-delay: 0.6s;
  opacity: 0;
}

.banner .txt {
  animation: fadeUp 0.8s ease forwards;
  animation-delay: 0.9s;
  opacity: 0;
}



/* menu */


/* 상단 탭 */

.menu-tab {
  border-top: 1px solid #666;
  border-bottom: 1px solid #666;
  padding: 20px 0;
  margin: 20px 0;
  display: flex;
  justify-content: center;
  gap: 30px;
}

.menu-tab li a {
  font-size: 28px;
  text-decoration: none;
  color: #333;  
  padding: 0 40px;
}

.menu-tab li a:hover {
  color: #666;
}

.menu-wrap {
  margin-bottom: 50px;
  
}


.hide {
display: none;
}

/* 서브탭 */
.sub-tab {
  display: flex;
  justify-content: center;
  gap: 15px;
  margin-bottom: 40px;
}


.sub-tab li button {
  border: none;
  background: none;
  font-size: 30px;
  cursor: pointer;
}

.sub-tab li button {
  font-family: "Noto Sans", sans-serif;
  color: #333 !important;
}

.sub-tab li.active button {
  font-weight: bold;
}

.menu-list {
  display: none;
  background-color: rgba(250, 250, 250, 0.5);
  padding: 60px;

}

/* 메뉴 */
.menu-item {
  display: flex;
  align-items: center;
  margin-top: 30px;
  line-height: 5em;
}

.menu-item span{
  font-size: 40px;
}

.line {
  flex: 1;
  border-bottom: 1px dotted #aaa;
  margin: 0 25px;
}


.desc {
  font-size: 18px;
  letter-spacing: 2px;
  color: #555;
  margin-bottom: 25px;
}



.menu-list.active {
  display: block;
}


.price-box {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  line-height: 3em;
}

.price-row {
  display: flex;
  gap: 10px;
}


.price-row .unit {
  font-size: 24px;
}

#meal {
  scroll-margin-top: 120px;
}